Page MenuHomeFreeBSD

Update and revamp awscli
Needs ReviewPublic

Authored by otis on Sep 10 2022, 5:48 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Jan 12, 2:26 PM
Unknown Object (File)
Dec 16 2022, 2:01 PM
Unknown Object (File)
Dec 15 2022, 7:51 PM

Details

Reviewers
bhughes
Summary

net/py-s3transfer: Update to 0.6.0

- Update to 0.6.0
- portclippy & portfmt a bit
- Assume maintainership

Approved by:	bhughes (maintainer timeout)

devel/py-botocore: Update to 1.27.70

- Update to 1.27.70
- Clean up Makefile a bit
- Assume maintainership

Approved by:	bhughes (maintainer timeout)

devel/awscli: Revamp port (and update to 1.25.70)

- Update to 1.25.70
- Rename to sysutils/py-aws-cli (in line with py-azure-cli)
  with PKGNAMEPREFIX
- portclippy and portfmt a bit
- Assume maintainership

Approved by:	bhughes (maintainer timeout)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 47438
Build 44325: arc lint + arc unit

Event Timeline

otis requested review of this revision.Sep 10 2022, 5:48 PM
otis retitled this revision from Update and revamp `awscli` `net/py-s3transfer: Update to 0.6.0` ``` to Update and revamp awscli.Sep 10 2022, 5:50 PM
otis edited the summary of this revision. (Show Details)

Apart from using DISTVERSION over PORTVERSION consistently I dont see any major issues. We should probably evaluate moving the "current" version (2.x) of to aws-cli rather than the legacy one though?

rebase and PORTVERSION -> DISTVERSION

renamed py-aws-cli to py-aws-cli1

make use of PKGNAMESUFFIX

  • sysutils/py-aws-cli: Add new port

@otis, I didn't see the awscrt patch? Like this, the awscli version 2 should not work properly.

@otis, I didn't see the awscrt patch? Like this, the awscli version 2 should not work properly.

As this is *NOT* an upgrade to v2, awscrt is not needed.

Upgrade to v2 is handled by separate diff.

In D36519#832487, @otis wrote:

@otis, I didn't see the awscrt patch? Like this, the awscli version 2 should not work properly.

As this is *NOT* an upgrade to v2, awscrt is not needed.

Upgrade to v2 is handled by separate diff.

Oh, right, my bad. Should move my port from devel/awscliv2 to sysutils/py-aws-cliv2 ?

Oh, right, my bad. Should move my port from devel/awscliv2 to sysutils/py-aws-cliv2 ?

to sysutils/py-aws-cli2